libbladeRF: Bandwidth

| libbladeRF 2.2.1-git Nuand bladeRF library

Typedefs | Functions
Bandwidth
Channel control

## Description

This section defines functionality for configuring a channel's bandwidth. In most cases, one should define the bandwidth to be less than the sample rate to minimize the impact of aliasing.

These functions are thread-safe.

## Typedefs
typedef unsigned int | bladerf_bandwidth

## Functions
API_EXPORT int CALL_CONV | bladerf_set_bandwidth (struct bladerf *dev, bladerf_channel ch, bladerf_bandwidth bandwidth, bladerf_bandwidth *actual)
API_EXPORT int CALL_CONV | bladerf_get_bandwidth (struct bladerf *dev, bladerf_channel ch, bladerf_bandwidth *bandwidth)
API_EXPORT int CALL_CONV | bladerf_get_bandwidth_range (struct bladerf *dev, bladerf_channel ch, const struct bladerf_range **range)

## Typedef Documentation

## ◆ bladerf_bandwidth

typedef unsigned int bladerf_bandwidth

Bandwidth, in hertz (Hz)

Definition at line 1126 of file libbladeRF.h.

## Function Documentation

## ◆ bladerf_get_bandwidth()

API_EXPORT int CALL_CONV bladerf_get_bandwidth | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | bladerf_bandwidth * | bandwidth
| ) |  |

Get the bandwidth of the channel

Parameters

  | dev | Device Handle
  [in] | ch | Channel
  [out] | bandwidth | Actual bandwidth in Hz

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_get_bandwidth_range()

API_EXPORT int CALL_CONV bladerf_get_bandwidth_range | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | const struct bladerf_range ** | range
| ) |  |

Get the supported range of bandwidths for a channel

Parameters

  | dev | Device Handle
  [in] | ch | Channel
  [out] | range | Bandwidth range

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_set_bandwidth()

API_EXPORT int CALL_CONV bladerf_set_bandwidth | ( | struct bladerf * | dev,
|  | bladerf_channel | ch,
|  | bladerf_bandwidth | bandwidth,
|  | bladerf_bandwidth * | actual
| ) |  |

Set the bandwidth of the channel to the specified value in Hz

The underlying device is capable of a discrete set of bandwidth values. The caller should check the `actual` parameter to determine which of these discrete bandwidth values is actually used for the requested bandwidth.

See also
  Use bladerf_get_bandwidth_range() to determine the range of supported bandwidths.

Parameters

  | dev | Device handle
  [in] | ch | Channel
  [in] | bandwidth | Desired bandwidth
  [out] | actual | If non-NULL, written with the actual bandwidth that the device was able to achieve.

Returns
  0 on success, value from Error codes list on failure